import request from '@/utils/request'

// 查询试卷题目答案列表
export function listQuestionBankAnswerTestPaper(query) {
  return request({
    url: '/school-paper/questionBankAnswerTestPaper/list',
    method: 'get',
    params: query
  })
}

// 查询试卷题目答案详细
export function getQuestionBankAnswerTestPaper(id) {
  return request({
    url: '/school-paper/questionBankAnswerTestPaper/' + id,
    method: 'get'
  })
}

// 新增试卷题目答案
export function addQuestionBankAnswerTestPaper(data) {
  return request({
    url: '/school-paper/questionBankAnswerTestPaper',
    method: 'post',
    data: data
  })
}

// 修改试卷题目答案
export function updateQuestionBankAnswerTestPaper(data) {
  return request({
    url: '/school-paper/questionBankAnswerTestPaper',
    method: 'put',
    data: data
  })
}

// 删除试卷题目答案
export function delQuestionBankAnswerTestPaper(id) {
  return request({
    url: '/school-paper/questionBankAnswerTestPaper/' + id,
    method: 'delete'
  })
}
